import numpy as np
import tomopy, time as t

def timeit(func, named_args, kwargs):
    t0 = t.time()
    r = func(*named_args, **kwargs)
    t1 = t.time()
    return (t1 - t0, r)

sim = np.load('projection.npy')
ang = np.load('angles.npy')

recon_time, rec = timeit(tomopy.recon, (sim, ang), dict(algorithm='gridrec')) # Reconstruct object.

print("Reconstruction time: {0:.3f}".format(recon_time))
#print("Total %20.8f" % rec[64].sum())
#print("Max %20.8f" % rec[64].max())
#print("Min %20.8f" % rec[64].min())
